import { UserGroupJoinings, UserGroups } from "../../../models/index.js";
export async function getGroupActor(groupId, user) {
    if (groupId == null) return null;
    const group = await UserGroups.findOneBy({
        id: groupId
    });
    if (group == null) return null;
    if (group.userId === user.id) return group;
    const joining = await UserGroupJoinings.findOneBy({
        userId: user.id,
        userGroupId: group.id
    });
    return joining == null ? null : group;
}
